Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\BookmarkService Interface Reference

Bookmark Service. More...

Inheritance diagram for eZ\Publish\API\Repository\BookmarkService:

## Public Member Functions
| createBookmark (Location $location)
| Add location to bookmarks. More...
| deleteBookmark (Location $location)
| Delete given location from bookmarks. More...
| loadBookmarks (int $offset=0, int $limit=25)
| List bookmarked locations. More...
| isBookmarked (Location $location)
| Return true if location is bookmarked. More...

## Detailed Description

Bookmark Service.

Service to handle bookmarking of Content item Locations. It works in the context of a current User (obtained from the PermissionResolver).

Definition at line 20 of file API/Repository/BookmarkService.php.

## Member Function Documentation

## ◆ createBookmark()

eZ\Publish\API\Repository\BookmarkService::createBookmark | ( | Location | $location | ) |

Add location to bookmarks.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\BookmarkService, and eZ\Publish\Core\Repository\BookmarkService.

## ◆ deleteBookmark()

eZ\Publish\API\Repository\BookmarkService::deleteBookmark | ( | Location | $location | ) |

Delete given location from bookmarks.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\BookmarkService, and eZ\Publish\Core\Repository\BookmarkService.

## ◆ isBookmarked()

eZ\Publish\API\Repository\BookmarkService::isBookmarked | ( | Location | $location | ) |

Return true if location is bookmarked.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Location | $location |

Returns
  bool

Implemented in eZ\Publish\Core\SignalSlot\BookmarkService, and eZ\Publish\Core\Repository\BookmarkService.

## ◆ loadBookmarks()

eZ\Publish\API\Repository\BookmarkService::loadBookmarks | ( | int | $offset = `0`,
|  | int | $limit = `25`
| ) |  |

List bookmarked locations.

Parameters

  int | $offset | the start offset for paging
  int | $limit | the number of bookmarked locations returned

Exceptions

Implemented in eZ\Publish\Core\SignalSlot\BookmarkService, and eZ\Publish\Core\Repository\BookmarkService.

The documentation for this interface was generated from the following file:

- API/Repository/BookmarkService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.